#ifndef _RUINSRECONSTRUCTOR_PROPERTIES_WIDGET_
#define _RUINSRECONSTRUCTOR_PROPERTIES_WIDGET_

#include <QWidget>
#include "ui_RuinsReconstructorPropertiesWidget.h"
#include "CornerDetector.h"
#include "KLTCornerDetector.h"
#include "FASTCornerDetector.h"


class RuinsReconstructorProcessor;

class RuinsReconstructorPropertiesWidget : public QWidget
{
	Q_OBJECT

public:
	RuinsReconstructorPropertiesWidget( RuinsReconstructorProcessor *processor, QWidget *parent = 0, Qt::WFlags f = 0 );
	~RuinsReconstructorPropertiesWidget();

	void refresh();

	private slots:
		void on_threshold_valueChanged( int value );

		void on_radioFAST_toggled( bool on );
		void on_radioKLT_toggled( bool on );

		void on_btnRefresh_pressed();

		void on_checkUseCalman_clicked( bool on );

private:
	Ui::RuinsReconstructorPropertiesWidget ui;
	RuinsReconstructorProcessor* _processor;
	FASTCornerDetector* _currentFASTInstance;
	KLTCornerDetector* _currentKLTInstance;
};

#endif
